;========================================================
;			Глобальные переменные в РОН
;========================================================

.def	CONST_ZERO		= r0		; постоянный ноль
.def	USER_REG_STATUS	= r16		; пользовательский регистр статусов
;-------------------------------------------------
;|  7  |  6  |  5  |  4  |  3  |  2  |  1  |  0  |
;-------------------------------------------------
; бит 0 - ACK_NACK: 0 - ACK, 1 - NACK
; бит 1 - счетчик принятых байтов. 0 - принимается первый байт, 1 - принимается второй байт

.def	BYTE			= r22		; Байт передачи\приём данных

;========================================================
;				Глобальные переменные в RAM
;========================================================

.dseg								; Выбираем сегмент RAM
	.org	0x60					; Устанавливаем текущий адрес сегмента

;------------------------- Хранение данных в упакованном формате от DS1302

BME280_data:			.byte	BME280_data_size	; данные принятые с BME280
USART_data:				.byte	2					; данные принятые с USART